/*
 *      Copyright (c) Tandem Computers Incorporated 1997.
 *
 *      The computer program listings and specification herein are the
 *      property of Tandem Computers Incorporated and are not to be
 *      reproduced or copied in whole or in part for any reason without
 *      written permission of Tandem.
 */

#ident "@@(#)$Header: /src/nsc_uw7/usr/src/nsc/uts/io/nsc_rso/nsc_rso.cf/Space.c,v 1.4 1999/05/19 14:10:32 michael Exp $"
#include "config.h"
#include <sys/types.h>
#include <sys/param.h>

/*
 * This is a list of target drivers which we can use for root hot add
 */ 
char *hot_targets[] = {
	"sd01",
	NULL	/* end of list */
};

/*
 * This is the list of hba drivers which we can use for root hot add
 */
char *rso_hbas[] = {
"(ida,1) Compaq SMART",
"(casa,1) Compaq Fibre Array",
	NULL	/* end of list */
};

/*
 * This is the list of hba drivers which provide reliable
 * disk information during boot.  Since the controller
 * is external to the server, bus ownership and disk
 * informtion is not stale when the system boots
 */

char *ext_rso_hbas[] = {
"(casa,1) Compaq Fibre Array",
	NULL	/* end of list */
};
