#ident	"@(#)unixsrc:usr/src/i386at/uts/svc/svc.cf/Space.c /main/uw7_nj/3"
#ident	"$Header: /src/nsc_uw7/usr/src/i386at_nsc/uts/svc/svc.cf/Space.c,v 1.1 1999/07/20 00:34:53 karthik Exp $"

#include <config.h>

/*
 * FPKIND: type of floating-point support: 0 = auto-detect,
 *	  1 = software emulator, 2 = Intel287 coproc, 3 = Intel387 coproc
 */
int fp_kind = FPKIND;

/*
 * Tuneable to enable/disable memory to be configured above 4G
 * on quad p6 with Orion chipset.
 */
unsigned int p6splitmem = 0;

/*
 * Some Pentium Pro processors experience a rare spurious Machine Check
 * condition, documented by Intel as Erratum #59.  If P6ERRATUM59 is
 * tuned to 1, then Instruction Streaming Buffers are disabled to prevent
 * that condition (on P6 sB1; perhaps with a small impact on performance).
 */
int p6_erratum59_workaround = P6ERRATUM59;

/*
 * Indicates if the kernel enters KDB mode, when a PANIC occurs.
 */
int kdb_at_panic = KDBATPANIC;
