/* @(#)unixsrc:usr/src/common/lib/libvxvm/common/libvxvm/volmatch.h /main/uw7_nj/1 %G% %U% - %Q% */
#ident	"@(#)unixsrc:usr/src/common/lib/libvxvm/common/libvxvm/volmatch.h /main/uw7_nj/1"

/*
 * Copyright(C)1996 VERITAS Software Corporation.  ALL RIGHTS RESERVED.
 * UNPUBLISHED -- RIGHTS RESERVED UNDER THE COPYRIGHT
 * LAWS OF THE UNITED STATES.  USE OF A COPYRIGHT NOTICE
 * IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION
 * OR DISCLOSURE.
 * 
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND
 * TRADE SECRETS OF VERITAS SOFTWARE.  USE, DISCLOSURE,
 * OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
 * EXPRESS WRITTEN PERMISSION OF VERITAS SOFTWARE.
 * 
 *               RESTRICTED RIGHTS LEGEND
 * USE, DUPLICATION, OR DISCLOSURE BY THE GOVERNMENT IS
 * SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH
 * (C) (1) (ii) OF THE RIGHTS IN TECHNICAL DATA AND
 * COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013.
 *               VERITAS SOFTWARE
 * 1600 PLYMOUTH STREET, MOUNTAIN VIEW, CA 94043
 */

#ifndef _VOLMATCH_H
#define _VOLMATCH_H

/*
 * volmatch.h - record matching interface functions
 */

#if defined(__STDC__)
extern int vxvm_match_init(const char *, int, void *);
extern int vxvm_match(const char *, vol_rec_t, void *, void *);
#else	/* not __STDC__ */
extern int vxvm_match_init();
extern int vxvm_match();
#endif	/* __STDC__ */

/* functions supplied by caller program */
#if defined(__STDC__)
extern long vxvm_match_config_id(void *);
extern time_t vxvm_match_config_epoch(void *);
extern int vxvm_match_find_object(char *, vol_rec_t *, void **, int, void *);
extern int vxvm_match_assoc_list(char *, int *, volname_t **, void *);
#else	/* not __STDC__ */
extern long vxvm_match_config_id();
extern time_t vxvm_match_config_epoch();
extern int vxvm_match_find_object();
extern int vxvm_match_assoc_list();
#endif	/* __STDC__ */

#endif	/* _VOLMATCH_H */
