/* @(#)unixsrc:usr/src/common/lib/libvxvm/common/libvxvm/volpfmt.h /main/uw7_nj/1 %G% %U% - %Q% */
#ident	"@(#)unixsrc:usr/src/common/lib/libvxvm/common/libvxvm/volpfmt.h /main/uw7_nj/1"

/*
 * Copyright(C)1996 VERITAS Software Corporation.  ALL RIGHTS RESERVED.
 * UNPUBLISHED -- RIGHTS RESERVED UNDER THE COPYRIGHT
 * LAWS OF THE UNITED STATES.  USE OF A COPYRIGHT NOTICE
 * IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION
 * OR DISCLOSURE.
 * 
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND
 * TRADE SECRETS OF VERITAS SOFTWARE.  USE, DISCLOSURE,
 * OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
 * EXPRESS WRITTEN PERMISSION OF VERITAS SOFTWARE.
 * 
 *               RESTRICTED RIGHTS LEGEND
 * USE, DUPLICATION, OR DISCLOSURE BY THE GOVERNMENT IS
 * SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH
 * (C) (1) (ii) OF THE RIGHTS IN TECHNICAL DATA AND
 * COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013.
 *               VERITAS SOFTWARE
 * 1600 PLYMOUTH STREET, MOUNTAIN VIEW, CA 94043
 */


#ifndef	_VOLPFMT_H
#define	_VOLPFMT_H

#include <stdio.h>
#if defined(__STDC__)
#include <stdarg.h>
#else  /* __STDC__ */
#include <varargs.h>
#endif /* __STDC__ */
#include <locale.h>
#include <unistd.h>
#include <pfmt.h>


#ifndef I18N
#define gettxt		egettxt
#endif /* I18N */


#if defined(SOLARIS) || !defined(I18N)

#define  setcat		volsetcat
#define  setlabel	volsetlabel
#define  pfmt		volpfmt
#define  vpfmt		volvpfmt

/* Function definitions */

#if defined(__STDC__)
const char * volsetcat(char *);
int volsetlabel(char *);
int volpfmt(FILE *, int, const char *, ...);
int volvpfmt(FILE *, int, const char *, va_list);
char *egettxt(const char *, const char *);
#else
CONST char * volsetcat();
int volsetlabel();
int volpfmt();
int volvpfmt();
char *egettxt();
#endif

#endif /* defined (SOLARIS) || !defined (I18N) */

#endif	/* _VOLPFMT_H */
