# Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
#                                                                         
#        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
#                   SANTA CRUZ OPERATION INC.                             
#                                                                         
#   The copyright notice above does not evidence any actual or intended   
#   publication of such source code.                                      

#ident	"@(#)foosmuxd.mk	1.2"
#****************************************************************************
#*                                                                          *
#*   Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990, 1991, 1992,    *
#*                 1993, 1994  Novell, Inc. All Rights Reserved.            *
#*                                                                          *
#****************************************************************************
#*      THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Novell Inc.	    *
#*      The copyright notice above does not evidence any   	            *
#*      actual or intended publication of such source code.                 *
#****************************************************************************

#MOSY = /usr/sbin/mosy
MOSY = /opt/compaq/bin/mosy
ETC_NM = /etc/netmgt
STD_DEFS = smi.defs

INCLUDE = -I. -I../include -I../../include -I$(XENV)/usr/include -I$(XENV)/usr/include/netmgt

CC = cc
CFLAGS = -DCLUSTER ${GFLAG} -Wl,-T8300000  -DSVR4 -DOS_UNIXWARE $(INCLUDE)

SRCS =	foomib.c foosmuxd.c

OBJS =	foomib.o foosmuxd.o

LIBS = -lsmux -lsnmpio -lsnmp

all: foosmuxd foosmuxd.defs

foosmuxd: foosmuxd.c foomib.c foosmux.h
	$(CC) $(CFLAGS) -c foosmuxd.c 
	$(CC) $(CFLAGS) -c foomib.c 
	$(CC) $(OBJS) -o foosmuxd $(LIBS) -lelf -lgen -lsocket -lnsl

# FOO Definitions

foosmuxd.defs: foosmuxd.tmp $(STD_DEFS)
	cat smi.defs > foosmuxd.defs; \
	cat foosmuxd.tmp >> foosmuxd.defs;

smi.defs: $(ETC_NM)/smi.my
	$(MOSY) -o smi.defs -s $(ETC_NM)/smi.my

foosmuxd.tmp: foosmuxd.my
	$(MOSY) -o foosmuxd.tmp -s foosmuxd.my

clean:
	rm -f foosmuxd.defs

clobber: clean
	rm *.o
	rm foosmuxd
	rm -f $(STD_DEFS) foosmuxd.tmp
