#ident "@(#)unixsrc:usr/src/i386/uts/io/nd/dlpi/dlpi.netX.cf/Space.c /main/uw7_uk/3"
#ident "$Header: /src/nsc_uw7/usr/src/i386_nsc/uts/io/nd/dlpi/dlpi.netX.cf/Space.c,v 1.2 2000/04/26 23:46:06 jag Exp $"

/*
 *      Copyright (C) The Santa Cruz Operation, 1993-1997.
 *      This Module contains Proprietary Information of
 *      The Santa Cruz Operation and should be treated
 *      as Confidential.
 */

#include <sys/types.h>
#include <sys/file.h>
#include <sys/param.h>
#include <sys/stream.h>
#include <sys/conf.h>
#include <sys/errno.h>
#include <sys/cred.h>
#include <sys/mdi.h>
#include <sys/dlpimod.h>
#include <sys/sr.h>
#include <sys/moddefs.h>
#include <sys/ksynch.h>
#include <sys/ddi.h>
#include "config.h"

extern int dlpiopen(), dlpilrput(), dlpiuwput(), dlpiclose();
extern int dlpiursrv(), dlpiuwsrv(), dlpilrsrv(), dlpilwsrv();
#ifdef NSC_BUG_FIX
static int dlpimodopen();
#else /* !NSC_BUG_FIX */
STATIC int dlpimodopen();
#endif /* !NSC_BUG_FIX */

STATIC struct module_info XXXXurinfo = { 
YYYYSTREAMSMID, "XXXX", 0, INFPSZ, 4096,    1 
};

STATIC struct module_info XXXXlrinfo = { 
YYYYSTREAMSMID, "XXXX", 0, INFPSZ, 4096,    1 
};

STATIC struct module_info XXXXminfo = { 
YYYYSTREAMSMID, "XXXX", 0, INFPSZ,    2,    1 
};

STATIC struct qinit XXXXurinit = {
	NULL,     dlpiursrv, dlpimodopen, dlpiclose, NULL, &XXXXurinfo, NULL
};
STATIC struct qinit XXXXuwinit = {
	dlpiuwput, dlpiuwsrv, dlpimodopen, dlpiclose, NULL, &XXXXminfo, NULL
};
STATIC struct qinit XXXXlrinit = {
	dlpilrput, dlpilrsrv, dlpimodopen, dlpiclose, NULL, &XXXXlrinfo, NULL
};
STATIC struct qinit XXXXlwinit = {
	NULL    , dlpilwsrv, dlpimodopen, dlpiclose, NULL, &XXXXminfo, NULL
};

struct streamtab XXXXinfo = { &XXXXurinit,&XXXXuwinit,&XXXXlrinit,&XXXXlwinit };

/* XXXXcardinfo can't be STATIC as ndstat expects to find it in kmem with name
 * XXXXcardinfo
 */
per_card_info_t        XXXXcardinfo;
 
/* allow kmem readers to obtain per-sap information by keeping non-STATIC too */
per_sap_info_t         XXXXsapinfo[YYYYSAPMAXSAPS];
 
 struct route_param    XXXXroute_param = {
	YYYYSRTXRESP,	YYYYSRRXARE, 	YYYYSRRXSTEBCS, 
	YYYYSRRXSTEUCS,	YYYYSRMAXTX,	YYYYSRMINTX, 
	YYYYSRTXRECUR, 	YYYYSRAREDISAB
};
dlpi_init_t XXXXcardinit = { 
    YYYYTXMONCNSMT, YYYYTXMONENABL, YYYYTXMONCNTLI
};

int XXXXdevflag = D_MP|D_UPF;
#define DRVNAME "XXXX - DLPI module instance"
static int XXXX_load(), XXXX_unload();
MOD_DRV_WRAPPER(XXXX, XXXX_load, XXXX_unload, NULL, DRVNAME);

extern unsigned int dlpihiwat;
extern unsigned int dlpilowat;

static int
XXXX_load()
{
	XXXXlrinfo.mi_hiwat = dlpihiwat;
	XXXXlrinfo.mi_lowat = dlpilowat;

	return(0);
}

#ifdef NSC_BUG_FIX
/* Needed for static drivers. */
void
XXXXstart(void)
{
	(void)XXXX_load();
}
#endif /* NSC_BUG_FIX */

static int
XXXX_unload()
{
	return(0);
}

/*
 * Front-End for Open Routing which passes a pointer to the per-card
 * information to 'dlpiopen'
 */
#ifdef NSC_BUG_FIX
static int
#else /* !NSC_BUG_FIX */
STATIC int
#endif /* !NSC_BUG_FIX */
dlpimodopen(q, dev, flag, sflag, crp)
queue_t *q;
dev_t *dev;
int flag, sflag;
cred_t *crp;
{
	return (dlpiopen(q,dev,flag,sflag,&XXXXcardinfo,
                         YYYYSRMAXROUTE, 
                         YYYYSRSRMODE, 
                         &XXXXroute_param,
                         XXXXsapinfo, YYYYSAPMAXSAPS,
                         sizeof(per_card_info_t),
                         sizeof(per_sap_info_t),
                         &XXXXcardinit,
                         sizeof(dlpi_init_t),
                         YYYYMCAHASHENT,
                         YYYYDISABEIIFR,
                         crp,
                         "XXXX"
                         )
                );
}
