#ident "@(#)$Header $"

/*
 * Copyright (c) 1995 Locus Computing Corporation
 *        All Rights Reserved
 */

#include <config.h>

/*
 * NSC_XXX: The fpgs water mark values are passed around in the
 *	    dswap code, but never used anywhere.  We need to
 *	    to determine if these have a future use or should
 *	    be deleted.
 */
unsigned long	dswap_lwmfpgs = 200;
unsigned long	dswap_hwmfpgs = 500;

/*
 * Low and high water marks (in pages) for swap reservations kept at
 * the local node.
 */
long tnc_anon_resv_lwm = NSC_ANON_RESV_LWM;
long tnc_anon_resv_hwm = NSC_ANON_RESV_HWM;

/*
 * When reserving swap, the amount (in pages) of extra swap reserved
 * to cover ongoing kmem_allocs, etc.
 */
long tnc_anon_resv_pad = NSC_ANON_RESV_PAD;

/*
 * The minimum amount of memory (in pages) to reserve
 * for critical processes, e.g. pageout or nodedown daemon.
 */
long tnc_crit_mem_min = NSC_CRIT_MEM_MIN;
