#ifndef _UTIL_MOD_MODFS_H	/* wrapper symbol for kernel use */
#define _UTIL_MOD_MODFS_H	/* subject to change without notice */

#ident	"@(#)unixsrc:usr/src/common/uts/util/mod/modfs.h /main/uw7_nj/1"
#ident	"$Header: /src/nsc_uw7/usr/src/common_nsc/uts/util/mod/modfs.h,v 1.5 2000/03/06 05:56:09 zabby Exp $"

#if defined(__cplusplus)
extern "C" {
#endif

#ifdef _KERNEL_HEADERS

#include <fs/vfs.h>	/* REQUIRED */

#elif defined(_KERNEL) || defined(_KMEMUSER)

#include <sys/vfs.h>	/* REQUIRED */
#ifndef NOT_NSC
#include <sys/nsc_defines.h>
#endif /* !NOT_NSC */

#endif /* _KERNEL_HEADERS */

#ifdef NSC_EXNFS
int
mod_fs_regx(void *arg,
	    int user_mode);
#endif /* NSC_EXNFS */

extern const char *mod_fsname(unsigned int);
extern rwlock_t mod_vfssw_lock;
extern _vfsops_v2_t mod_fs_vfsops;
extern int mod_fs_mount(struct vfs *, struct vnode *, struct mounta *,
			cred_t *);

struct mod_fs_data {
	char * mfd_name;
};

#if defined(__cplusplus)
	}
#endif

#endif /* _UTIL_MOD_MODFS_H */
