#ident "@(#)$Header: /src/nsc_uw7/usr/src/nsc/uts/nsc/nsc_rpoll.h,v 3.5 2000/03/06 06:09:54 zabby Exp $"

/*
 * Copyright (c) 1994 Locus Computing Corporation
 *        All Rights Reserved
 */

#ifndef _NSC_GENERIC_NSC_RPOLL_H
#define _NSC_GENERIC_NSC_RPOLL_H

struct rpolldat {
	/* Private data */
	struct rpolldat		*rpd_next;	/* Ptr to next rpolldat */
	struct pollhead		*rpd_php;
	struct polldat		*rpd_pdp;

	/* Public data */
	struct rpolldat		**rpd_headpp;	/* Ptr to rpolldat chain head */
	void			*rpd_data;	/* Ptr to fs specific data */
	int			rpd_events;
	clusternode_t		rpd_node;
	long			rpd_pid;
#ifdef NSC_SVR42
	k_lwpid_t		rpd_lwpid;
#endif
};

extern int rpoll_server(struct vnode *,short *, void (*)(void *),
			struct rpolldat *);
extern void rpoll_clean(struct rpolldat **, clusternode_t, boolean_t);
extern void rpoll_delete(struct rpolldat **, struct rpolldat *); 
extern void rpoll_pollrun(struct pollhead *, pid_t, k_lwpid_t);

#endif /* !_NSC_GENERIC_NSC_RPOLL_H */
