/* @(#)unixsrc:usr/src/common/uts/io/vxvm/unixware/volerrno.h /main/uw7_nj/1 %G% %U% - %Q% */
#ident	"@(#)unixsrc:usr/src/common/uts/io/vxvm/unixware/volerrno.h /main/uw7_nj/1"

/*
 * Copyright(C)1996 VERITAS Software Corporation.  ALL RIGHTS RESERVED.
 * UNPUBLISHED -- RIGHTS RESERVED UNDER THE COPYRIGHT
 * LAWS OF THE UNITED STATES.  USE OF A COPYRIGHT NOTICE
 * IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION
 * OR DISCLOSURE.
 * 
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND
 * TRADE SECRETS OF VERITAS SOFTWARE.  USE, DISCLOSURE,
 * OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
 * EXPRESS WRITTEN PERMISSION OF VERITAS SOFTWARE.
 * 
 *               RESTRICTED RIGHTS LEGEND
 * USE, DUPLICATION, OR DISCLOSURE BY THE GOVERNMENT IS
 * SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH
 * (C) (1) (ii) OF THE RIGHTS IN TECHNICAL DATA AND
 * COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013.
 *               VERITAS SOFTWARE
 * 1600 PLYMOUTH STREET, MOUNTAIN VIEW, CA 94043
 */
 
#ifndef _VOLERRNO_H
#define _VOLERRNO_H

/*
 * VxVM kernel error number mapping
 */

#define VKE_ENXIO  	ENXIO
#define VUE_ENXIO 	ENXIO
#define VKE_EINVAL 	EINVAL
#define VUE_EINVAL 	EINVAL
#define VKE_ENODEV 	ENODEV
#define VUE_ENODEV 	ENODEV
#define VKE_EEXIST 	EEXIST
#define VUE_EEXIST 	EEXIST
#define VKE_ENOENT 	ENOENT
#define VUE_ENOENT 	ENOENT
#define VKE_EBUSY  	EBUSY
#define VUE_EBUSY  	EBUSY
#define VKE_EFAULT 	EFAULT
#define VUE_EFAULT 	EFAULT
#define VKE_EAGAIN 	EAGAIN
#define VUE_EAGAIN	EAGAIN
#define VKE_ESRCH  	ESRCH
#define VUE_ESRCH  	ESRCH
#define VKE_ENOSPC 	ENOSPC
#define VUE_ENOSPC 	ENOSPC
#define VKE_EIO	  	EIO	
#define VUE_EIO	  	EIO	
#define VKE_EPERM  	EPERM
#define VUE_EPERM 	EPERM
#define VKE_EACCES 	EACCES
#define VUE_EACCES 	EACCES
#define VKE_E2BIG  	E2BIG
#define VUE_E2BIG  	E2BIG
#define VKE_EINTR  	EINTR
#define VUE_EINTR  	EINTR
#define VKE_ENFILE 	ENFILE
#define VUE_ENFILE 	ENFILE
#define VKE_EROFS  	EROFS
#define VUE_EROFS  	EROFS
#define VKE_ENOMEM  	ENOMEM
#define VUE_ENOMEM  	ENOMEM

#endif /* _VOLERRNO_H */


