/* @(#)unixsrc:usr/src/common/uts/io/vxvm/unixware/volkroot.h /main/uw7_nj/1 %G% %U% - %Q% */
#ident	"@(#)unixsrc:usr/src/common/uts/io/vxvm/unixware/volkroot.h /main/uw7_nj/1"

/*
 * Copyright(C)1996 VERITAS Software Corporation.  ALL RIGHTS RESERVED.
 * UNPUBLISHED -- RIGHTS RESERVED UNDER THE COPYRIGHT
 * LAWS OF THE UNITED STATES.  USE OF A COPYRIGHT NOTICE
 * IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION
 * OR DISCLOSURE.
 * 
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND
 * TRADE SECRETS OF VERITAS SOFTWARE.  USE, DISCLOSURE,
 * OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR
 * EXPRESS WRITTEN PERMISSION OF VERITAS SOFTWARE.
 * 
 *               RESTRICTED RIGHTS LEGEND
 * USE, DUPLICATION, OR DISCLOSURE BY THE GOVERNMENT IS
 * SUBJECT TO RESTRICTIONS AS SET FORTH IN SUBPARAGRAPH
 * (C) (1) (ii) OF THE RIGHTS IN TECHNICAL DATA AND
 * COMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013.
 *               VERITAS SOFTWARE
 * 1600 PLYMOUTH STREET, MOUNTAIN VIEW, CA 94043
 */

#ifndef _VXVM_VOLKROOT_H
#define _VXVM_VOLKROOT_H

#define	VOL_ROOTVOL_MINOR	  0x00		/* root device (minor 0) */
#define VOL_SWAPVOL_MINOR	  0x01		/* swap device (minor 1) */

#define	VOL_ROOT_DEVICE		  VOLNODEV
#define VOL_SWAP_DEVICE		  VOLNODEV

#define	VOL_ROOTDG_SPECIAL_RID	  0x01		/* rid of rootdg */
#define VOL_ROOTDG_SPECIAL_NAME	  "ROOTDG"	/* name for prebuilt rootdg */

#define	VOL_ROOTDISK_SPECIAL_RID  0x11		/* special rid for root disk */
#define	VOL_ROOTDISK_SPECIAL_NAME "ROOTDISK"	/* special name for root disk */

#define	VOL_ROOTOBJ_SPECIAL_RID	  0x12		/* special rid of root object */
#define VOL_ROOTOBJ_SPECIAL_NAME  "ROOT"	/* name of root object */

#define	VOL_SWAPDISK_SPECIAL_RID  0x21		/* special rid for swap disk */
#define	VOL_SWAPDISK_SPECIAL_NAME "SWAPDISK"	/* special name for swap disk */

#define	VOL_SWAPOBJ_SPECIAL_RID	  0x22		/* special rid of swap object */
#define	VOL_SWAPOBJ_SPECIAL_NAME  "SWAPSD"	/* name of swap object */

#endif	/* _VXVM_VOLKROOT_H */
